GET User Groups

Retrieve a paginated list of user groups for the tenant.

Endpoint

Endpoint

/api/administration/usergroups

Method

GET

Scope

riskassess.administration.read

Headers

Header Argument

Authorization

Bearer token

Accept

application/json or application/xml

X-Correlation-Id

(Optional) Request tracing ID

Parameters

Table 1. Query parameters
Parameter Required Description

limit

No

Page size. Default: 50.

offset

No

Rows to skip. Default: 0.

order_by

No

(Optional) Sort field. Sortable fields: createdAt, modifiedAt.

dir

No

Sort direction: Asc or Desc. Default: Asc.

includeDeleted

No

Include soft-deleted user groups when true. Default: false.

Table 2. Filterable fields
API field Filter Sort (order_by)

entityId

Yes

No

name

Yes

No

createdAt

Yes

Yes

modifiedAt

Yes

Yes

Get user groups

Endpoint

GET /api/administration/usergroups

Example cURL request
curl --location 'https://<your-instance>.risk.com/api/administration/usergroups?limit=10&offset=0&dir=Asc' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ••••••'
Example response
{
    "success": true,
    "result": {
        "totalCount": 3,
        "userGroups": [
            {
                "entityId": "f5a2a07d-3e39-4aa4-83c9-35060d2faee9",
                "name": "Sales",
                "createdAt": "2025-01-01T10:00:00.000Z",
                "modifiedAt": "2025-01-15T11:00:00.000Z"
            },
            {
                "entityId": "5c410c90-321f-4b2b-8cf2-3a1eca3561a1",
                "name": "Tech",
                "createdAt": "2025-01-02T10:00:00.000Z",
                "modifiedAt": "2025-01-16T12:30:00.000Z"
            },
            {
                "entityId": "7c8f80b1-a392-459a-bfd2-b76330c56dbe",
                "name": "Support",
                "createdAt": "2024-12-01T09:00:00.000Z",
                "modifiedAt": "2025-02-01T08:00:00.000Z"
            }
        ]
    },
    "errors": []
}